2

As per the Sitecore recommendation from the below link Mongo 4.0.5 is recommended for Sitecore 8.2 without mentioning any update version.

MongoDB compatibility table link

We plan to upgrade Mongo from 3.6 to 4.0.5 for Sitecore 8.2 Update-2 rev. 161221.

Can someone please help whether we can go for mongo 4.0.5 version for 8.2 update 2 without any issues and if yes, Do we need to upgrade mongo provider dll's as part of 4.0.5?. Thanks in advance

3

Since MongoDB 4.0.5 is officially supported for Sitecore 8.2.2, you should not encounter any issues during upgrade. Regarding MongoDB driver, you can find driver version compatibility version here. According to that table, the minimum driver version that supports both 3.6 and 4.0.5 is 2.7. However, MongoDB driver included in Sitecore rev. 161221 installation is 1.10, so most likely you will need to upgrade the dll.

MongoDB driver

Since Sitecore has implemented their own MongoDB provider, there is a good chance that you will not need to update MongoDB driver. If I were you, I would:

  • Upgrade MongoDB to 4.0.5, but do not upgrade MongoDB.Driver.dll.
  • Verify that Sitecore Analytics and session provider still works
  • In case of any issues, upgrade the dll and contact Sitecore support since it would indicate that their documentation is not accurate.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.